Package com.typesafe.config.impl

## Class ConfigImplUtil

- java.lang.Object
- - com.typesafe.config.impl.ConfigImplUtil

    public final class ConfigImplUtil
    extends java.lang.Object

Internal implementation detail, not ABI stable, do not touch. For use only by the `com.typesafe.config` package.

### Constructor Summary

Constructors
`ConfigImplUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static ConfigException` `extractInitializerError​(java.lang.ExceptionInInitializerError e)`
`static java.lang.String` `joinPath​(java.lang.String... elements)`
`static java.lang.String` `joinPath​(java.util.List<java.lang.String> elements)`
`static ConfigOrigin` `readOrigin​(java.io.ObjectInputStream in)`
`static java.lang.String` `renderJsonString​(java.lang.String s)`
`static java.util.List<java.lang.String>` `splitPath​(java.lang.String path)`
`static java.lang.String` `unicodeTrim​(java.lang.String s)`
`static void` `writeOrigin​(java.io.ObjectOutputStream out, ConfigOrigin origin)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConfigImplUtil

    public ConfigImplUtil()

### Method Detail

#### renderJsonString

    public static java.lang.String renderJsonString​(java.lang.String s)

#### unicodeTrim

    public static java.lang.String unicodeTrim​(java.lang.String s)

#### extractInitializerError

    public static ConfigException extractInitializerError​(java.lang.ExceptionInInitializerError e)

#### joinPath

    public static java.lang.String joinPath​(java.lang.String... elements)

#### joinPath

    public static java.lang.String joinPath​(java.util.List<java.lang.String> elements)

#### splitPath

    public static java.util.List<java.lang.String> splitPath​(java.lang.String path)

#### readOrigin

    public static ConfigOrigin readOrigin​(java.io.ObjectInputStream in)
                                   throws java.io.IOException

Throws:
  `java.io.IOException`

#### writeOrigin

    public static void writeOrigin​(java.io.ObjectOutputStream out,
                                   ConfigOrigin origin)
                            throws java.io.IOException

Throws:
  `java.io.IOException`